# Class OptionArgumentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.thaiopensource.validate.OptionArgumentException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `OptionArgumentFormatException`, `OptionArgumentPresenceException`

public class OptionArgumentException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OptionArgumentException()`
`OptionArgumentException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OptionArgumentException

public OptionArgumentException()

### OptionArgumentException

public OptionArgumentException(String message)